ojph::T1OJPH Class Reference

`#include <T1OJPH.h>`

Inheritance diagram for ojph::T1OJPH:

## Public Member Functions

| T1OJPH (bool isCompressor, grk::TileCodingParams *tcp, uint32_t maxCblkW, uint32_t maxCblkH)
virtual | ~T1OJPH ()
bool | compress (grk::CompressBlockExec *block)
bool | decompress (grk::DecompressBlockExec *block)
Public Member Functions inherited from grk::T1Interface
virtual | ~T1Interface ()=default

## Private Member Functions

void | preCompress (grk::CompressBlockExec *block, grk::Tile *tile)
bool | postProcess (grk::DecompressBlockExec *block)

## Private Attributes

uint32_t | coded_data_size
uint8_t * | coded_data
uint32_t | unencoded_data_size
int32_t * | unencoded_data
mem_fixed_allocator * | allocator
mem_elastic_allocator * | elastic_alloc

## Constructor & Destructor Documentation

## T1OJPH()

ojph::T1OJPH::T1OJPH | ( | bool | isCompressor,
|  | grk::TileCodingParams * | tcp,
|  | uint32_t | maxCblkW,
|  | uint32_t | maxCblkH
| ) |  |

References coded_data, and grk_cblk_dec_compressed_data_pad_ht.

## ~T1OJPH()

ojph::T1OJPH::~T1OJPH | ( |  | ) |

virtual

References allocator, coded_data, elastic_alloc, and unencoded_data.

## Member Function Documentation

## compress()

bool ojph::T1OJPH::compress | ( | grk::CompressBlockExec * | block | ) |

virtual

Implements grk::T1Interface.

References ojph::coded_lists::buf, grk::CompressBlockExec::cblk, elastic_alloc, grk::BlockExec::k_msbs, grk::Codeblock::numbps, ojph::local::ojph_encode_codeblock(), preCompress(), grk::CompressBlockExec::tile, and unencoded_data.

## decompress()

bool ojph::T1OJPH::decompress | ( | grk::DecompressBlockExec * | block | ) |

virtual

Implements grk::T1Interface.

References grk::DecompressBlockExec::cblk, coded_data, coded_data_size, grk_cblk_dec_compressed_data_pad_ht, grk::GRK_ERROR(), grk::BlockExec::k_msbs, ojph::local::ojph_decode_codeblock(), grk::TileComponent::postProcessHT(), grk::BlockExec::tilec, unencoded_data, and grk::grk_rect< T >::width().

## postProcess()

bool ojph::T1OJPH::postProcess | ( | grk::DecompressBlockExec * | block | ) |

private

## preCompress()

void ojph::T1OJPH::preCompress | ( | grk::CompressBlockExec * | block,
|  | grk::Tile * | tile
| ) |  |

private

References unencoded_data.

Referenced by compress().

## Member Data Documentation

## allocator

mem_fixed_allocator* ojph::T1OJPH::allocator

private

Referenced by ~T1OJPH().

## coded_data

uint8_t* ojph::T1OJPH::coded_data

private

Referenced by decompress(), T1OJPH(), and ~T1OJPH().

## coded_data_size

uint32_t ojph::T1OJPH::coded_data_size

private

Referenced by decompress().

## elastic_alloc

mem_elastic_allocator* ojph::T1OJPH::elastic_alloc

private

Referenced by compress(), and ~T1OJPH().

## unencoded_data

int32_t* ojph::T1OJPH::unencoded_data

private

Referenced by compress(), decompress(), preCompress(), and ~T1OJPH().

## unencoded_data_size

uint32_t ojph::T1OJPH::unencoded_data_size

private

The documentation for this class was generated from the following files:

- T1OJPH.h
- T1OJPH.cpp